curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/variables/{variableConfigId} \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/variables/{variableConfigId}"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/variables/{variableConfigId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organisationId": "<string>",
"type": "form-short-text",
"name": "<string>",
"label": "<string>",
"useDefaultProfileValue": true,
"availableInQuestionBank": true,
"maxValueOccurrences": 2,
"isSingleOutputPerUser": true,
"isImmutable": true,
"createdAt": "<string>",
"createdBy": "<string>",
"placeholder": "<string>",
"prerequisiteVariableConfigIds": [
"<string>"
],
"options": [
{
"key": "<string>",
"value": "<string>"
}
],
"validationRegex": "<string>",
"validationEndpointConfig": {
"url": "<string>",
"method": "<string>",
"headers": {}
},
"updatedAt": "<string>",
"updatedBy": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Get variable config by ID
Retrieve a variable config by its ID.
Authorizations
Path Parameters
Response
Successful response
A variable configuration
The id of the variable config
^[0-9a-fA-F]{24}$The organisation that the variable config belongs to
^[0-9a-fA-F]{24}$Determines how the variable should be rendered in the UI (e.g., text input, select dropdown, date picker, etc.)
form-short-text, form-long-text, form-number, form-select, form-checkbox, form-email, form-name, form-address, form-date The name of the variable
The label of the variable
Whether to use the default profile value
Whether this variable is available in the question bank
The maximum number of times a unique value can be used across all instances of this variable
x >= 1Whether a user can only have one output for this variable
Whether the value, once set by a user, cannot be changed
The date when this variable config was created
The user who created this variable config
^[0-9a-fA-F]{24}$The placeholder text
The variable configs that must be completed before this one
^[0-9a-fA-F]{24}$An array of predefined values that users can choose from when the type is set to select
Show child attributes
Show child attributes
Regular expression pattern to validate variable values. If set, values must match this pattern.
Configuration for validating variable values
Show child attributes
Show child attributes
The date when this variable config was last updated
The user who last updated this variable config
^[0-9a-fA-F]{24}$Was this page helpful?

